View Issue Details

IDProjectCategoryView StatusLast Update
0002589Ham Radio DeluxeEnhancementpublic2019-03-06 20:03
Reporterk6mkfAssigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0002589: Logbook Filter Improvements Needed
DescriptionFor Logbook Filter fields with a finite number valid entries, provide a pull-down list of those values in the filter: e.g. QSL sent – Y or N …

Validate data with on a known list or value range: e.g. there are only 40 CQ zones - but you can enter any number.

Put the filter status messages in a box titled ‘Filter Status’

Provide a filter reset capability to clear all filter fields

Add ‘Distinct’ feature to the filter fields: e.g. how many (distinct) entities have I worked on FT8?

TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

related to 0002604 closedK7ZCZ Ham Radio Deluxe Logbook filter: Provide a filter reset capability to clear all filter fields 
related to 0002605 feedbackk6mkf 3 - Current Dev List Logbook filter: provide a "distinct" button 
related to 0002606 assignedK7ZCZ 3 - Current Dev List Logbook filter: validate values from known lists where possible 
related to 0002607 closedK7ZCZ Ham Radio Deluxe Logbook filter: Put the filter status messages in a box titled ‘Filter Status’ 
related to 0002608 assignedK7ZCZ 3 - Current Dev List Logbook Filter: populate selection pulldown for choosable fields 

Activities

k6mkf

2018-03-09 13:17

viewer  

K7ZCZ

2018-03-18 17:21

administrator   ~0004509

These are good suggestions. While they're all to do with the logbook filter, I think it's important to track work at a pretty granular level; that way, each suggestion can get the attention and tracking it deserves.

I've opened a set of issues for each one, related to this issue. Please feel free to add details to each one of the new issues.

WA9PIE

2018-04-07 20:50

administrator   ~0004756

Closing content that was verified as duplicates or not fixable.

Issue History

Date Modified Username Field Change
2018-03-09 13:17 k6mkf New Issue
2018-03-09 13:17 k6mkf File Added: Logbook Filter Improvements.JPG
2018-03-15 08:51 WA9PIE Module (select) => Logbook
2018-03-15 08:51 WA9PIE Sub-Module (select) => Appearance/UI
2018-03-15 08:51 WA9PIE Testing => Not Started
2018-03-18 17:20 K7ZCZ Relationship added related to 0002604
2018-03-18 17:20 K7ZCZ Relationship added related to 0002605
2018-03-18 17:20 K7ZCZ Relationship added related to 0002606
2018-03-18 17:20 K7ZCZ Relationship added related to 0002607
2018-03-18 17:21 K7ZCZ Relationship added related to 0002608
2018-03-18 17:21 K7ZCZ Assigned To => K7ZCZ
2018-03-18 17:21 K7ZCZ Status new => resolved
2018-03-18 17:21 K7ZCZ Resolution open => no change required
2018-03-18 17:21 K7ZCZ Note Added: 0004509
2018-04-02 10:44 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-04-02 10:45 K7ZCZ Fixed in Version => 6.4.0.798
2018-04-07 20:49 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 20:50 WA9PIE Note Added: 0004756
2018-04-07 20:50 WA9PIE Status resolved => closed
2019-03-06 20:03 WA9PIE Fixed in Version 6.4.0.798 => 6.4.0.806